> For the complete documentation index, see [llms.txt](https://developer.citypay.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.citypay.io/endpoint/deposite.md).

# Deposit

### Description

The deposit page URL is generated by sending a call to create s deposit method. The payment URL is generated after a successful call. You should redirect the buyer to that payment URL. On this page, the buyer can see address, select the desired payment currency, and make transactions.

## Create Deposit

<mark style="color:green;">`POST`</mark> `https://v2-listener.citypay.io/api/generateDeposit`

This method allows you to create a deposit.

#### Path Parameters

| Name           | Type    | Description                                    |
| -------------- | ------- | ---------------------------------------------- |
| customer\_id   | string  | Your account's ID                              |
| access\_token  | string  | Token generated by CityPay for granting access |
| deposit\_id    | string  | Deposit ID                                     |
| deposit\_token | integer | Unique identification for your customer        |

{% tabs %}
{% tab title="200 Deposit was created" %}

```javascript
{
    "status": 1,
    "status_code ": 201,
    "message": {
        "id": 7,
        "payment_url": "https://v2-order.citypay.io/deposit?token=22332334232323232323",
        "token": "22332334232323232323"
    }
}
```

{% endtab %}

{% tab title="404 Customer not found" %}

```javascript
{
    "status": "error",
    "status_code ": 404,
    "message": {
         "message": "customer_id not found !"
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.citypay.io/endpoint/deposite.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
